/* eslint-disable camelcase */
import { FixBigNumber } from '@jarvisnetwork/core-sdk';

import { ContractListInterface } from '..';
import {
  jBRL_BUSD_BASE_INFO,
  jBRL_jCHF_BASE_INFO,
  jBRL_jEUR_BASE_INFO,
  jBRL_jGBP_BASE_INFO,
  jBRL_WBNB_BASE_INFO,
  jBRL_WBTC_BASE_INFO,
  jBRL_WETH_BASE_INFO,
  jCHF_BUSD_BASE_INFO,
  jCHF_jBRL_BASE_INFO,
  jCHF_jEUR_BASE_INFO,
  jCHF_jGBP_BASE_INFO,
  jCHF_WBNB_BASE_INFO,
  jCHF_WBTC_BASE_INFO,
  jCHF_WETH_BASE_INFO,
  jEUR_BUSD_BASE_INFO,
  jEUR_jBRL_BASE_INFO,
  jEUR_jCHF_BASE_INFO,
  jEUR_jGBP_BASE_INFO,
  jEUR_WBNB_BASE_INFO,
  jEUR_WBTC_BASE_INFO,
  jEUR_WETH_BASE_INFO,
} from '../pairsInfo';

export const BSC_CREDIT_LINE: ContractListInterface = {
  CreditLineRegistry: '0xBD8FdDa057de7e0162b7A386BeC253844B5E07A5',
  CreditLine: {
    jEUR_BUSD: {
      ...jEUR_BUSD_BASE_INFO,
      address: '0x3B72ccF498215d9A167C1b12C7258C56eD78FdA9',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_WBNB: {
      ...jEUR_WBNB_BASE_INFO,
      address: '0xE53dB5B21262F142F0d78Bb31B85c4b1Ee9faAbD',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jBRL: {
      ...jEUR_jBRL_BASE_INFO,
      address: '0xaDD4Eef666886706989790A218ca16432788c25f',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_WBTC: {
      ...jEUR_WBTC_BASE_INFO,
      address: '0x20981e320761BEB3b49F2fdEBb075b4d917bbAAc',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jCHF: {
      ...jEUR_jCHF_BASE_INFO,
      address: '0x72b8B7c3797EbeefFF398c4b40Baa593765a7965',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_WETH: {
      ...jEUR_WETH_BASE_INFO,
      address: '0x316E8d1C8aC44ce235c5e7c4a9c1d476F4B83456',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jGBP: {
      ...jEUR_jGBP_BASE_INFO,
      address: '0xF2d5346036597AB9E3bd3d9d3209907009363726',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },

    jCHF_BUSD: {
      ...jCHF_BUSD_BASE_INFO,
      address: '0x3d8DA6b03DB2B50dA1850c1D237b73092f7c977d',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(10),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jCHF_WBNB: {
      ...jCHF_WBNB_BASE_INFO,
      address: '0xAb30056B108B5aA147B46082658f6363dc0b1A0D',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jCHF_jBRL: {
      ...jCHF_jBRL_BASE_INFO,
      address: '0xDB192e7423C925873a586Faa168E91Cd0Fc28426',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jCHF_WBTC: {
      ...jCHF_WBTC_BASE_INFO,
      address: '0xB9E516c6Da3c422921d829aE4479b3f0CC702d24',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jCHF_jEUR: {
      ...jCHF_jEUR_BASE_INFO,
      address: '0xA302f3dEAe772FdB33f0d29d0A59bd03D5907a77',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jCHF_WETH: {
      ...jCHF_WETH_BASE_INFO,
      address: '0xe3a33f214B3691EC6f55FefE83Fde110072Cfb38',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jCHF_jGBP: {
      ...jCHF_jGBP_BASE_INFO,
      address: '0xBc1F9cc126fDCFa84907793E82f19e4f290C2117',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jBRL_BUSD: {
      ...jBRL_BUSD_BASE_INFO,
      address: '0xA3d49d2Fc84497F4eb5A1A3EA54380eceF8a7eF7',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WBNB: {
      ...jBRL_WBNB_BASE_INFO,
      address: '0x1E1EDD8E4bDaF098B5EC7d1015e58034C4373Dad',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jCHF: {
      ...jBRL_jCHF_BASE_INFO,
      address: '0xDF717227261EB51295269Ec5565B7D5145ebDF6e',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WBTC: {
      ...jBRL_WBTC_BASE_INFO,
      address: '0x3eF93c9b34cDE1E223f43a3cD881b5256Dc4CE13',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jEUR: {
      ...jBRL_jEUR_BASE_INFO,
      address: '0x41E0F47DEc0f7521F43da0439b10Bfe8e9E81a64',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WETH: {
      ...jBRL_WETH_BASE_INFO,
      address: '0xdc9F869FA91a9041279EA9168D92E6faEFaAede5',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jGBP: {
      ...jBRL_jGBP_BASE_INFO,
      address: '0x24f8b681d79AA136394644A68dADE74d21de9498',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
  },
};
